


#include "networking.h"

//#define printf pspDebugScreenPrintf
#define HELLO_MSG   "Hello there. Type away.\r\n"

extern char *dat;
extern int datsz;
char *scores;
char *mapList;
char *myName;
char *myScore;
char *myLevel;
extern int wifiConf;


PSP_MODULE_INFO(MODULE_NAME, 0x1000, 1, 1);
PSP_MAIN_THREAD_ATTR(0);

/* Simple thread */
int main(int argc, char **argv){
	pspDebugScreenInit();
	loadInet();
	fetchFromUrl("http://a-nub.pspsc.com/stuff/readme.txt", 1);
	while(1){
		sceKernelDelayThread(100000);
		if (dat != NULL){
		pspDebugScreenPrintf("%s",dat);
		break;
		}

	}
	sceKernelExitDeleteThread(0);
	return 0;
}
